- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# FbxPluginData Struct Reference

Search for all occurrences

## Detailed Description

Data used to communicate information between an application and the plug-in.

Definition at line 67 of file fbxplugin.h.

`#include <fbxplugin.h>`

List of all members.

## Public Member Functions
| FbxPluginData ()
| Constructor.
| FbxPluginData (const FbxPluginData &pOther)
| Copy Constructor.
## Public Attributes
FbxEmitter * | mQueryEmitter
| The emitter on which the plug-in can listen to receive events.
FbxManager * | mSDKManager
| The FBX SDK Manager on which the plug-in was instanced.
FbxPluginContainer * | mPluginContainer
| The container which will have the ownership of the plug-in.

## Constructor & Destructor Documentation

FbxPluginData | ( |  | ) | `[inline]`

Constructor.

Definition at line 70 of file fbxplugin.h.

                        :
            mQueryEmitter(NULL),
            mSDKManager(NULL),
            mPluginContainer(NULL)
        {
        }

FbxPluginData | ( | const FbxPluginData & | pOther | ) | `[inline, explicit]`

Copy Constructor.

Definition at line 78 of file fbxplugin.h.

                                                            :
            mQueryEmitter(pOther.mQueryEmitter),
            mSDKManager(pOther.mSDKManager),
            mPluginContainer(pOther.mPluginContainer)
        {
        }

## Member Data Documentation

FbxEmitter* mQueryEmitter

Search for all occurrences

The emitter on which the plug-in can listen to receive events.

Definition at line 85 of file fbxplugin.h.

FbxManager* mSDKManager

Search for all occurrences

The FBX SDK Manager on which the plug-in was instanced.

Definition at line 86 of file fbxplugin.h.

FbxPluginContainer* mPluginContainer

Search for all occurrences

The container which will have the ownership of the plug-in.

Definition at line 87 of file fbxplugin.h.

The documentation for this struct was generated from the following file:

- fbxsdk/core/fbxplugin.h